<?xml version='1.0' encoding='utf-8'?>
<panel>
  <layout class="stick_to_sides_attachment" alignment="all" inset="0" layout_children="true"/>

  <container class="scrolling_box">
    <container>
      <layout class="fit_children_attachment" alignment="vertical"/>
      <layout class="arrange_horizontal_attachment" layout="-3, -2" gap="12"/>
      <layout class="stick_to_sides_attachment" alignment="top, horizontal" layout_children="true"/>

      <container>
        <layout class="fit_children_attachment" alignment="vertical, fill"/>
        <layout class="arrange_vertical_attachment" alignment="top, extend"/>
        <layout class="stick_to_sides_attachment" alignment="top, horizontal" inset="0" layout_children="true"/>

        <!-- main body text -->
        <widget class="text" id="bdtx" auto_size="vertical" font="fonts/inbox_body" size="11"/>

        <widget class="client_object_list_table" id="gptb" mode="fill_rows" layout="-1, -1, -1" fixed_size_rows="true" stretch_to_fit_rows="true"/>
      </container>

      <container>
        <layout class="fit_children_attachment" alignment="vertical, extend"/>
        <layout class="arrange_vertical_attachment" alignment="top"/>
        <layout class="stick_to_sides_attachment" alignment="top, horizontal" inset="0" layout_children="true"/>

        <!-- comp -->
        <container class="bordered_box" height="255">
          <layout class="arrange_vertical_attachment" alignment="top, extend"/>
          <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true"/>

          <widget class="client_object_logo_picture" id="clog" height="180" scale_picture="true" image_alignment="middle"/>

          <widget class="client_object_label" id="cnam" auto_size="vertical" spec="text, large" colour="text" alignment="centre_x, centre_y"/>

          <widget class="comp_reputation_stars_label" id="crep" icon_alignment="centre_x, centre_y" height="22">
            <record id="object_property">
              <integer id="get_property" value="crps"/>
            </record>
          </widget>
        </container>

        <!-- hosts and holders -->
        <container class="bordered_box" id="hshl" height="200">
          <layout class="arrange_vertical_attachment" alignment="top, extend" gap="8"/>
          <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true"/>

          <widget class="client_object_logo_picture" id="hslg" height="140" scale_picture="true" image_alignment="middle"/>
          <widget class="text" id="hsnm" auto_size="vertical" spec="text, large" colour="text" alignment="centre_x, centre_y"/>

          <widget class="text" id="hldr" auto_size="vertical" spec="text, large" colour="text" alignment="centre_x, centre_y"/>
        </container>

        <!-- comp dates -->
        <container class="bordered_box" height="50">
          <layout class="arrange_vertical_attachment" alignment="top, extend"/>
          <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true"/>

          <widget class="text" id="rfma" auto_size="vertical" spec="text" colour="text" alignment="centre_x, centre_y">
            <translation id="text" translation_id="249504" type="use" value="Dates[COMMENT - competition stage rules panel, dates heading]"/>
          </widget>

          <widget class="text" id="cmdt" auto_size="vertical" spec="text, large" colour="text" alignment="centre_x, centre_y"/>
        </container>
      </container>

    </container>
  </container>

</panel>
